actor Camera Camera 
actor Autobot Player 

keyframeDef keyCam1 ( ( 11.92 -0.98 3.32 ) ( 0.03 -0.08 0 1 ) 32 ) 
keyframeDef keyCam2 ( ( -4.08 -7.83 2.02 ) ( 0.85 0.04 -0.07 0.52 ) 60 ) 
keyframeDef keyCam3 ( ( -0.63 -2.6 3.43 ) ( 0.79 0.03 -0.04 0.61 ) 55 ) 
keyframeDef keyCam4 ( ( -2.39 -9.35 2.75 ) ( 0.79 0.03 -0.04 0.61 ) 25 ) 
keyframeDef keyCam5 ( ( -3.00 -4.33 2.62 ) ( 0.85 0.04 -0.07 0.52 ) 45 ) 
keyframeDef autobotPos ( ( -0.609 4.851 0 ) ( 0.794 0 0 -0.607 ) 0 ) 

thread camera CS_MiniConDiscoveryGlide 
{
	waitTime 0 
	doAction startup command DisableEarlyOut 
	waitTime 0 
	doAction startup command ConvertFromLocalSpace 
	waitTime 0 
	doAction startup command DisableCreatures 
	waitTime 0 
	doAction camera1 keyframe Camera keyCam1 
	waitTime 0 
	doAction player1 keyframe Autobot autobotPos 
	waitTime 0 
	doAction camera2 keyframe Camera keyCam2 timeToTake 9 
	waitTime 0 
	doAction camera3 keyframe Camera keyCam3 
	waitTime 0 
	doAction camera3 keyframe Camera keyCam4 timeToTake 1 
	waitTime 0 
	doAction camera3 keyframe Camera keyCam5 timeToTake 12.0 
	
} // 

thread sound CS_MiniConDiscoveryGlide 
{
	waitTime 0 
	doAction Sound0 playSound Minicon_Discovery 11 
	
} // 

thread HQDialog CS_MiniConDiscoveryGlide 
{
	waitTime 8.0 
	doAction sound0 playSound HQ_Aircraft_IntroGliding 4.0 
	
} // 

thread message CS_MiniConDiscoveryGlide 
{
	waitTime 11.5 
	doAction hqText0 specialEffect hqMessage 3 HQ_BRIEF_EP04_IntroGliding_Line01 58 
	waitTime 0 
	doAction hqText1 specialEffect hqMessage 3 HQ_BRIEF_EP04_IntroGliding_Line02 58 
	waitTime 0 
	doAction hqText2 specialEffect hqMessage 3 HQ_BRIEF_EP04_IntroGliding_Line03 59 
	
} // 

thread sfx CS_MiniConDiscoveryGlide 
{
	waitTime 0 
	doAction sfx0 specialEffect cropIn 0.5 
	waitTime 0 
	doAction sfx1 specialEffect fadeFromColor 0.5 Color(0.0,0.0,0.0,1.0) 
	waitTime 21.0 
	doAction hqTextOff specialEffect hqMessageOff 
	waitTime 0 
	doAction sfx2 specialEffect fadeToColor 0.5 vlColor(0.0,0.0,0.0,0.0)
	waitTime 0 
	doAction sfx3 command RestoreAutobotPosition 
	waitTime 0 
	doAction sfx4 specialEffect cropOut 0.5 
	waitTime 0 
	doAction sfx5 specialEffect fadeFromColor 0.5 vlColor(0.0,0.0,0.0,1.0)
	waitTime 0 
	doAction showMenu command GoToScreen "MiniconPickupMenu" 
	waitTime 0 
	doAction sfx6 command EnableCreatures 
	
} // 
